petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscEqualScalar

Returns whether the two scalar values are equal.

### Synopsis

    PetscBool PetscEqualScalar(PetscScalar a,PetscScalar b)

### Input Parameter

| a | - first scalar value
| b | - second scalar value

### Notes

Equivalent to "a == b". Should be used to prevent compilers from emitting floating point comparison warnings (e.g. GCC's -Wfloat-equal flag) in PETSc header files or user code.

### Level

developer

### Location

src/sys/utils/matheq.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages